# Generated from codemark-0.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name codemark

Name: rubygem-%{gem_name}
Version: 0.1.2
Release: 1%{?dist}
Summary: Converts RMarkdown files to pure R scripts
License: MIT
URL: https://github.com/soumyaray/codemark
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.14
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest-rg) >= 5.2
# BuildRequires: rubygem(minitest-rg) < 6
# BuildRequires: rubygem(rerun) >= 0.13
# BuildRequires: rubygem(rerun) < 1
# BuildRequires: rubygem(pry) >= 0.14
# BuildRequires: rubygem(pry) < 1
BuildArch: noarch

%description
Makes Rmd text into R comments and unfences code chunks.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/codemark
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/codemark.gemspec
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.2-1
- Initial package
